
//////////////////////////////////////////////////////////////////////////
//
//  Copyright (C) 2007-2018 zSpace, Inc.  All Rights Reserved.
//
//  File:       Sdk4.jaja
//  Content:    Java bindings for the 4.0 zSpace SDK.
//
//////////////////////////////////////////////////////////////////////////

package com.zspace;
  /// Class representing display intersection information.
  public class ZCDisplayIntersectionInfo
  {
    public boolean hit;                ///< Whether or not the display was intersected.
    public int     x;                  ///< The x pixel coordinate on the virtual desktop.
    public int     y;                  ///< The y pixel coordinate on the virtual desktop.
    public int     nx;                 ///< The normalized absolute x pixel coordinate on the virtual desktop.
    public int     ny;                 ///< The normalized absolute y pixel coordinate on the virtual desktop.
    public float   distance;           ///< The distance from origin of the raycast to the point of intersection on the display in meters.
  }